PATCH /v1/auth-profiles/{id}

Authentication

Bearer Token

Path Parameters

id string required path

Request Body required

application/json
name string
domain string REQUIRED
project_id string
cookie_header string
storage_state object
cookies object[]
Array of:
name string
value string
domain string
path string
expires number
httpOnly boolean
secure boolean
sameSite string
Enum: Strict, Lax, None
origins object[]
Array of:
origin string (uri)
localStorage object[]
Array of:
name string
value string
cookies object[]
Array of:
name string
value string
domain string
path string
expires number
httpOnly boolean
secure boolean
sameSite string
Enum: Strict, Lax, None
origins object[]
Array of:
origin string (uri)
localStorage object[]
Array of:
name string
value string

Responses

200 Auth profile
application/json
profile object
id string
project_id string | null
name string
domain string
cookie_count integer
status string
last_used_at string | null
created_at string
updated_at string
404 Error response
curl -X PATCH 'https://screenframed.com/v1/auth-profiles/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d 'null'
const response = await fetch('https://screenframed.com/v1/auth-profiles/string', {  method: 'PATCH',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://screenframed.com/v1/auth-profiles/string', headers=headers, json=null)print(response.json())
200 Response
{  "profile": {    "id": "<string>",    "project_id": "<string>",    "name": "<string>",    "domain": "<string>",    "cookie_count": 123,    "status": "<string>",    "last_used_at": "<string>",    "created_at": "<string>",    "updated_at": "<string>"  }}
Ask a question... ⌘I